import { Injector } from '@opensumi/di';
import { PreferenceProxy, PreferenceSchema } from '@opensumi/ide-core-browser';
import { SearchSettingId } from '@opensumi/ide-core-common/lib/settings/search';
export declare const searchPreferenceSchema: PreferenceSchema;
export interface SearchConfiguration {
    [SearchSettingId.Exclude]: {
        [key: string]: boolean;
    };
    [SearchSettingId.Include]: {
        [key: string]: boolean;
    };
    [SearchSettingId.UseReplacePreview]: boolean;
    [SearchSettingId.SearchOnType]: boolean;
    [SearchSettingId.SearchOnTypeDebouncePeriod]: number;
}
export declare const SearchPreferences: unique symbol;
export type SearchPreferences = PreferenceProxy<SearchConfiguration>;
export declare const createSearchPreferencesProvider: (injector: Injector) => {
    token: symbol;
    useFactory: () => PreferenceProxy<unknown>;
};
export declare function bindSearchPreference(injector: Injector): void;
//# sourceMappingURL=search-preferences.d.ts.map