"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bindSearchPreference = exports.createSearchPreferencesProvider = exports.SearchPreferences = exports.searchPreferenceSchema = void 0;
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
// 编写好 preference schema 配置
// 包括分组和选型
exports.searchPreferenceSchema = {
    id: 'search',
    order: 5,
    title: (0, ide_core_browser_1.localize)('Search', '搜索'),
    type: 'object',
    properties: {
        ["search.exclude" /* SearchSettingId.Exclude */]: {
            type: 'object',
            markdownDescription: '%preference.search.exclude%',
            default: {
                '**/node_modules': true,
                '**/bower_components': true,
                '**/.git': true,
                '**/.svn': true,
                '**/.hg': true,
                '**/CVS': true,
                '**/.DS_Store': true,
                '**/Thumbs.db': true,
            },
        },
        ["search.include" /* SearchSettingId.Include */]: {
            type: 'object',
            description: '%preference.search.include%',
            default: {},
        },
        ["search.useReplacePreview" /* SearchSettingId.UseReplacePreview */]: {
            type: 'boolean',
            description: '%preference.search.useReplacePreview%',
            default: true,
        },
        ["search.searchOnType" /* SearchSettingId.SearchOnType */]: {
            type: 'boolean',
            description: '%preference.search.searchOnType%',
            default: true,
        },
        ["search.searchOnTypeDebouncePeriod" /* SearchSettingId.SearchOnTypeDebouncePeriod */]: {
            type: 'number',
            description: '%preference.search.searchOnTypeDebouncePeriod%',
            default: 300,
        },
    },
};
exports.SearchPreferences = Symbol('SearchPreferences');
const createSearchPreferencesProvider = (injector) => ({
    token: exports.SearchPreferences,
    useFactory: () => {
        const preferences = injector.get(ide_core_browser_1.PreferenceService);
        return (0, ide_core_browser_1.createPreferenceProxy)(preferences, exports.searchPreferenceSchema);
    },
});
exports.createSearchPreferencesProvider = createSearchPreferencesProvider;
function bindSearchPreference(injector) {
    injector.addProviders((0, exports.createSearchPreferencesProvider)(injector));
}
exports.bindSearchPreference = bindSearchPreference;
//# sourceMappingURL=search-preferences.js.map