import { DecorationsManager, IRecycleTreeHandle, TreeModel } from '@opensumi/ide-components';
import { Disposable, Event } from '@opensumi/ide-core-browser';
import { SearchContentNode, SearchFileNode, SearchRoot } from './tree-node.defined';
export interface IEditorTreeHandle extends IRecycleTreeHandle {
    hasDirectFocus: () => boolean;
}
export declare class SearchTreeModel extends TreeModel {
    constructor(root: SearchRoot);
}
export declare class SearchModelService extends Disposable {
    private readonly searchTreeService;
    private readonly searchService;
    private readonly workbenchEditorService;
    private replaceDocumentModelContentProvider;
    private rangeHighlightDecorations;
    private readonly ctxMenuRenderer;
    private readonly contextMenuService;
    private readonly injector;
    private searchPreferences;
    private _treeModel;
    private _whenReady;
    private _decorations;
    private _searchTreeHandle;
    private selectedDecoration;
    private focusedDecoration;
    private contextMenuDecoration;
    private _focusedNode;
    private _selectedNodes;
    private _contextMenuNode;
    private onDidUpdateTreeModelEmitter;
    private disposableCollection;
    treeIsDirty: boolean;
    constructor();
    get onDidUpdateTreeModel(): Event<SearchTreeModel | undefined>;
    get whenReady(): Promise<void>;
    get searchTreeHandle(): IRecycleTreeHandle;
    get decorations(): DecorationsManager;
    get treeModel(): SearchTreeModel;
    get focusedNode(): SearchFileNode | SearchContentNode | null;
    get selectedNodes(): (SearchFileNode | SearchContentNode)[];
    get contextMenuNode(): SearchFileNode | SearchContentNode | null;
    initTreeModel(): Promise<void>;
    initDecorations(root: any): DecorationsManager;
    handleTreeHandler(handle: IRecycleTreeHandle): void;
    applyFocusedDecoration: (target: SearchFileNode | SearchContentNode, dispatch?: boolean) => void;
    applyContextMenuDecoration: (target: SearchFileNode | SearchContentNode) => void;
    removeFocusedDecoration: () => void;
    handleTreeBlur: () => void;
    handleTreeFocus: () => void;
    handleContextMenu: (ev: React.MouseEvent, node?: SearchFileNode | SearchContentNode) => void;
    handleItemClick: (ev: React.MouseEvent, node: SearchFileNode | SearchContentNode, preview?: boolean) => Promise<void>;
    handleItemDoubleClick: (ev: React.MouseEvent, node: SearchFileNode | SearchContentNode) => void;
    toggleDirectory: (item: SearchFileNode) => void;
    refresh(): Promise<void>;
    collapsedAll(): Promise<void>;
    expandAll(): Promise<void>;
    private toReplaceResource;
    activate(): void;
    deactivate(): void;
    dispose(): void;
}
//# sourceMappingURL=tree-model.service.d.ts.map