import { RPCService } from '@opensumi/ide-connection';
import { IProcessFactory } from '@opensumi/ide-process';
import { ContentSearchOptions, IContentSearchServer, SendClientResult } from '../common';
interface IRPCContentSearchService {
    onSearchResult(sendClientResult: SendClientResult): void;
}
export declare class ContentSearchService extends RPCService<IRPCContentSearchService> implements IContentSearchServer {
    protected processFactory: IProcessFactory;
    private processMap;
    private loggerManager;
    private logger;
    constructor();
    private searchStart;
    private searchEnd;
    private searchError;
    search(searchId: number, what: string, rootUris: string[], opts?: ContentSearchOptions): Promise<number>;
    cancel(searchId: number): Promise<void>;
    private parseDataBuffer;
    private sendResultToClient;
    private getSearchArgs;
    dispose(): void;
}
export {};
//# sourceMappingURL=content-search.service.d.ts.map